# eric6.Plugins.VcsPlugins.vcsMercurial.HgBookmarkDialog

Module implementing the bookmark dialog.

### Global Attributes

None

### Classes

HgBookmarkDialog | Class mplementing the bookmark dialog.

### Functions

None

## HgBookmarkDialog

Class mplementing the bookmark dialog.

### Derived from

QDialog, Ui_HgBookmarkDialog

### Class Attributes

DEFINE_MODE
MOVE_MODE

### Class Methods

None

### Methods

HgBookmarkDialog | Constructor
__updateBookmarksCombo | Private slot to update the bookmarks combo.
__updateOK | Private slot to update the OK button.
getData | Public method to retrieve the entered data.
on_bookmarkButton_toggled | Private slot to handle changes of the Bookmark select button.
on_bookmarkCombo_editTextChanged | Private slot to handle changes of the Bookmark combo.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_idButton_toggled | Private slot to handle changes of the ID select button.
on_idEdit_textChanged | Private slot to handle changes of the ID edit.
on_nameCombo_activated | Private slot to handle changes of the selected bookmark name.
on_nameEdit_textChanged | Private slot to handle changes of the bookmark name.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### HgBookmarkDialog (Constructor)

HgBookmarkDialog(mode, tagsList, branchesList, bookmarksList, parent=None)

Constructor

mode
  of the dialog (integer)
tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
bookmarksList
  list of bookmarks (list of strings)
parent
  reference to the parent widget (QWidget)

#### HgBookmarkDialog.__updateBookmarksCombo

__updateBookmarksCombo()

Private slot to update the bookmarks combo.

#### HgBookmarkDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgBookmarkDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  tuple naming the revision and the bookmark name (string, string)

#### HgBookmarkDialog.on_bookmarkButton_toggled

on_bookmarkButton_toggled(checked)

Private slot to handle changes of the Bookmark select button.

checked
  state of the button (boolean)

#### HgBookmarkDialog.on_bookmarkCombo_editTextChanged

on_bookmarkCombo_editTextChanged(txt)

Private slot to handle changes of the Bookmark combo.

txt
  text of the combo (string)

#### HgBookmarkDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### HgBookmarkDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### HgBookmarkDialog.on_idButton_toggled

on_idButton_toggled(checked)

Private slot to handle changes of the ID select button.

checked
  state of the button (boolean)

#### HgBookmarkDialog.on_idEdit_textChanged

on_idEdit_textChanged(txt)

Private slot to handle changes of the ID edit.

txt
  text of the edit (string)

#### HgBookmarkDialog.on_nameCombo_activated

on_nameCombo_activated(txt)

Private slot to handle changes of the selected bookmark name.

txt
  selected combo entry (string)

#### HgBookmarkDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to handle changes of the bookmark name.

txt
  text of the edit (string)

#### HgBookmarkDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### HgBookmarkDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up